const axios = require('axios');
export default {
    queryPageable(data, page, size, callback) {
        axios.post('/api/target/sensitive/queryPageable/' + page + '/' + size, data).then((response) => {
            callback(response);
        })
    },
    deleteByIds(data, callback) {
        axios.post('/api/target/sensitive/deleteByIds', data).then((response) => {
            callback(response);
        }).catch((error) => {
            console.log(error)
        })
    },
    update(data, callback) {
        axios.post('/api/target/sensitive/update', data).then((response) => {
            callback(response);
        }).catch((error) => {
            console.log(error)
        })
    },
    add(data, callback) {
        axios.post('/api/target/sensitive/add', data).then((response) => {
            callback(response);
        }).catch((error) => {
            console.log(error)
        })
    },
    getCountryList(callback) {
        axios.get('/api/target/sensitive/getCountryList').then((response) => {
            callback(response);
        }).catch((error) => {
            console.log(error)
        })
    }

}